package com.hfkj.dao;

import com.hfkj.entity.BsGasOrderReceipt;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper扩展类
 */
public interface BsGasOrderReceiptMapperExt {

    @Insert({
            "<script>" +
            " insert into bs_gas_order_receipt (apply_no, user_receipt_id, ",
            " company_name, tax_no, ",
            " contacts_phone, email, ",
            " agent_id, agent_name, ",
            " agent_staff_id, agent_staff_name, ",
            " mer_no, mer_name, ",
            " order_no, order_child_no, ",
            " oil_no, amount, `status`, ",
            " fail_remark, create_time, ",
            " update_time, ext_1, ",
            " ext_2, ext_3)",
            " values " +
            " <foreach collection='list' item='item' index='index' separator=','>" +
            " (" +
            " #{item.applyNo,jdbcType=VARCHAR}, " +
            " #{item.userReceiptId,jdbcType=BIGINT}, ",
            " #{item.companyName,jdbcType=VARCHAR}," +
            " #{item.taxNo,jdbcType=VARCHAR}, ",
            " #{item.contactsPhone,jdbcType=VARCHAR}," +
            " #{item.email,jdbcType=VARCHAR}, ",
            " #{item.agentId,jdbcType=BIGINT}, " +
            " #{item.agentName,jdbcType=VARCHAR}, ",
            " #{item.agentStaffId,jdbcType=BIGINT}," +
            " #{item.agentStaffName,jdbcType=VARCHAR}, ",
            " #{item.merNo,jdbcType=VARCHAR}, " +
            " #{item.merName,jdbcType=VARCHAR}, ",
            " #{item.orderNo,jdbcType=VARCHAR}, " +
            " #{item.orderChildNo,jdbcType=VARCHAR}, ",
            " #{item.oilNo,jdbcType=VARCHAR}," +
            " #{item.amount,jdbcType=DECIMAL}, " +
            " #{item.status,jdbcType=INTEGER}, ",
            " #{item.failRemark,jdbcType=VARCHAR}," +
            " #{item.createTime,jdbcType=TIMESTAMP}, ",
            " #{item.updateTime,jdbcType=TIMESTAMP}," +
            " #{item.ext1,jdbcType=VARCHAR}, ",
            " #{item.ext2,jdbcType=VARCHAR}," +
            " #{item.ext3,jdbcType=VARCHAR}" +
            " )" +
            " </foreach>" +
            "</script>"
    })
    @Options(useGeneratedKeys=true, keyProperty="id")
    void batchInsert(@Param("list") List<BsGasOrderReceipt> data);
}
